Package Base Details: wayland-git

Git Clone URL: https://aur.archlinux.org/wayland-git.git (read-only, click to copy)
Submitter: None
Maintainer: dbermond
Last Packager: dbermond
Votes: 70
Popularity: 0.27
First Submitted: 2009-09-21 16:14
Last Updated: 2020-06-05 14:50

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

klusark commented on 2014-10-19 21:48

@stozi, did you leave that comment on the wrong package?

stozi commented on 2014-10-19 21:43

Beta's out, but I still get the same error an this and the hawaii version (ATI, if it matters):

make[2]: Entering directory '/home/media/downloads/builds/qt5-wayland-git/src/qt5-wayland/build/src/client'

make[2]: *** No rule to make target '/usr/lib/libQt5PlatformSupport.a', needed by '../../lib/libQt5WaylandClient.so.5.4.0'. Stop.
make[2]: Leaving directory '/home/media/downloads/builds/qt5-wayland-git/src/qt5-wayland/build/src/client'
Makefile:69: recipe for target 'sub-client-make_first' failed
make[1]: *** [sub-client-make_first] Error 2
make[1]: Leaving directory '/home/media/downloads/builds/qt5-wayland-git/src/qt5-wayland/build/src'
Makefile:44: recipe for target 'sub-src-make_first' failed
make: *** [sub-src-make_first] Error 2
==> ERROR: A failure occurred in build().
Aborting...

Scimmia commented on 2014-09-19 17:43

@kettle: This is a git PKGBUILD, just rebuild it. Nothing needs to be done here.

kettle commented on 2014-09-19 16:35

Version is now 1.6 (same for weston-git)

klusark commented on 2014-05-25 21:40

Scimmia: Thanks. Fixed. I just went back to reading the version from configure.ac

Scimmia commented on 2014-05-25 21:23

% pacman -Q weston-git
weston-git 1.4.93.r20.g73dfbd5-1
% pkg-config --modversion weston
1.5.90

Yep.

Scimmia commented on 2014-02-26 17:53

No, they do not. They do it for the betas prior to release, but they generally bump master to x.x.90 for development without a tag. From the last dev cycle: http://cgit.freedesktop.org/wayland/wayland/commit/?id=16b2dab4e48462102d9990520562b0a9de2f9812

They haven't done it yet for the 1.5 dev cycle, so they may have changed it, I don't know.

klusark commented on 2014-02-26 17:24

Scimmia: It seemed to give the same results to me while being a lot shorter. Don't they tag every time they update the version in the build files?

Scimmia commented on 2014-02-26 17:22

Back to git describe? Have they changed the way they do versioning upstream?

klusark commented on 2013-06-05 21:52

expat is not actually required. It is needed for wayland-scanner, which I think is only used in the wayland build process, but it gets installed anyway. That is why I just made it a makedepend.